# XQilla Simple API Documentation

# ATQNameOrDerived Class Reference

`#include <ATQNameOrDerived.hpp>`

Inheritance diagram for ATQNameOrDerived:
[legend]

List of all members.

## Public Types

typedef RefCountPointer< const ATQNameOrDerived > | Ptr

## Public Member Functions

virtual const XMLCh * | getPrimitiveTypeName () const =0
virtual const XMLCh * | getTypeURI () const =0
virtual const XMLCh * | getTypeName () const =0
virtual const XMLCh * | getURI () const =0
virtual const XMLCh * | getPrefix () const =0
virtual const XMLCh * | getName () const =0
virtual const XMLCh * | asString (const DynamicContext *context) const =0
virtual bool | equals (const AnyAtomicType::Ptr &target, const DynamicContext *context) const =0
virtual int | compare (const ATQNameOrDerived::Ptr &other, const DynamicContext *context) const =0
| Returns less than 0 if this is less that other, 0 if they are the same, and greater than 0 otherwise.
virtual AnyAtomicType::AtomicObjectType | getPrimitiveTypeIndex () const =0

## Member Typedef Documentation

typedef RefCountPointer<const ATQNameOrDerived> ATQNameOrDerived::Ptr

Reimplemented from AnyAtomicType.

## Member Function Documentation

virtual const XMLCh* ATQNameOrDerived::asString | ( | const DynamicContext * | context | ) | const`[pure virtual]`

Implements AnyAtomicType.

virtual int ATQNameOrDerived::compare | ( | const ATQNameOrDerived::Ptr & | other,
|  | const DynamicContext * | context |
| ) |  |  | const`[pure virtual]`

Returns less than 0 if this is less that other, 0 if they are the same, and greater than 0 otherwise.

virtual bool ATQNameOrDerived::equals | ( | const AnyAtomicType::Ptr & | target,
|  | const DynamicContext * | context |
| ) |  |  | const`[pure virtual]`

Implements AnyAtomicType.

virtual const XMLCh* ATQNameOrDerived::getName | ( |  | ) | const`[pure virtual]`

virtual const XMLCh* ATQNameOrDerived::getPrefix | ( |  | ) | const`[pure virtual]`

virtual AnyAtomicType::AtomicObjectType ATQNameOrDerived::getPrimitiveTypeIndex | ( |  | ) | const`[pure virtual]`

Implements AnyAtomicType.

virtual const XMLCh* ATQNameOrDerived::getPrimitiveTypeName | ( |  | ) | const`[pure virtual]`

Implements AnyAtomicType.

virtual const XMLCh* ATQNameOrDerived::getTypeName | ( |  | ) | const`[pure virtual]`

Implements AnyAtomicType.

virtual const XMLCh* ATQNameOrDerived::getTypeURI | ( |  | ) | const`[pure virtual]`

Implements AnyAtomicType.

virtual const XMLCh* ATQNameOrDerived::getURI | ( |  | ) | const`[pure virtual]`

The documentation for this class was generated from the following file:

- ATQNameOrDerived.hpp